import request from '@/utils/request'

// 查询代理机构报列表
export function listDAgentAuthInfo(query) {
  return request({
    url: '/agentrep/dAgentAuthInfo/list',
    method: 'get',
    params: query
  })
}

// 查询代理机构报详细
export function getDAgentAuthInfo(id) {
  return request({
    url: '/agentrep/dAgentAuthInfo/' + id,
    method: 'get'
  })
}

// 新增代理机构报
export function addDAgentAuthInfo(data) {
  return request({
    url: '/agentrep/dAgentAuthInfo',
    method: 'post',
    data: data
  })
}

// 修改代理机构报
export function updateDAgentAuthInfo(data) {
  return request({
    url: '/agentrep/dAgentAuthInfo',
    method: 'put',
    data: data
  })
}

// 删除代理机构报
export function delDAgentAuthInfo(id) {
  return request({
    url: '/agentrep/dAgentAuthInfo/' + id,
    method: 'delete'
  })
}
